# Toutes les configurations destinées au chart Headlamp 
# doivent être indentées sous la clé 'headlamp'
headlamp:
  replicaCount: 1

  image:
    # On remplace ghcr.io par votre Harbor
    registry: harbor.gkdomaine.local
    # On remplace le chemin d'origine par votre projet 'images'
    repository: images/headlamp
    # On précise le tag que vous avez poussé avec le script
    tag: "v0.38.0"
    pullPolicy: IfNotPresent

    # Si votre projet Harbor 'images' est en PRIVÉ, 
    # vous devrez créer un secret Kubernetes et le renseigner ici :
    imagePullSecrets: []
    
  ingress:
    enabled: true
    className: traefik
    hosts: 
    - host: headlamp.dev.gkdomaine.fr
      paths:
      - path: /
        type: Prefix
    # Configuration TLS avec le secret synchronisé depuis OPS
    # Le secret est généré par cert-manager dans OPS et synchronisé vers ce cluster
    tls:
      - secretName: headlamp-dev-tls
        hosts:
          - headlamp.dev.gkdomaine.fr
    annotations: {}
  
  serviceAccount:
    create: true
    name: "headlamp-admin"